Subject: [DMM] We can't extract the YANG model from draft-ietf-dmm-fpc-cpdp

From: Benoit Claise <[email-masked]>
Date: Mon, 24 Oct 2016 17:07:11 +0200

Dear authors,

The YANG model in your draft doesn't follow the convention from RFC 
7950, and therefore can't be extracted.
See https://tools.ietf.org/html/rfc6087 section 3.1
Also, use http://www.yangvalidator.org/ for troubleshooting.

Extracting 'ietf-ip-tunnel@   ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', 
Line 3451 - Yang module 'ietf-dmm-fpcbase' with no <CODE BEGINS> and not 
starting with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 4057 - Yang module 
'ietf-dmm-fpcagent' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 4724 - Yang module 
'ietf-pmip-qos' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 5387 - Yang module 
'ietf-traffic-selector-types' with no <CODE BEGINS> and not starting 
with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 5980 - Yang module 
'ietf-dmm-threegpp' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 6601 - Yang module 
'ietf-dmm-fpc-pmip' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 6894 - Yang module 
'ietf-dmm-fpc-policyext' with no <CODE BEGINS> and not starting with 
'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 3451 - Yang module 
'ietf-dmm-fpcbase' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 4057 - Yang module 
'ietf-dmm-fpcagent' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 4724 - Yang module 
'ietf-pmip-qos' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 5387 - Yang module 
'ietf-traffic-selector-types' with no <CODE BEGINS> and not starting 
with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 5980 - Yang module 
'ietf-dmm-threegpp' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 6601 - Yang module 
'ietf-dmm-fpc-pmip' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 6894 - Yang module 
'ietf-dmm-fpc-policyext' with no <CODE BEGINS> and not starting with 
'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 3451 - Yang module 
'ietf-dmm-fpcbase' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 4057 - Yang module 
'ietf-dmm-fpcagent' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 4724 - Yang module 
'ietf-pmip-qos' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 5387 - Yang module 
'ietf-traffic-selector-types' with no <CODE BEGINS> and not starting 
with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 5980 - Yang module 
'ietf-dmm-threegpp' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 6601 - Yang module 
'ietf-dmm-fpc-pmip' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 6894 - Yang module 
'ietf-dmm-fpc-policyext' with no <CODE BEGINS> and not starting with 
'example-'
    ERROR: 'draft-toutain-lpwan-yang-static-context-hc-00.txt', Line 636 
- Yang module 'LPWA-compression' with no <CODE BEGINS> and not starting 
with 'example-'
    ERROR: 'draft-toutain-lpwan-yang-static-context-hc-00.txt', Line 636 
- Yang module 'LPWA-compression' with no <CODE BEGINS> and not starting 
with 'example-'
    ERROR: 'draft-toutain-lpwan-yang-static-context-hc-00.txt', Line 636 
- Yang module 'LPWA-compression' with no <CODE BEGINS> and not starting 
with 'example-'
2016-06-20.yang'

Regards, Benoit

---

From: "Bertz, Lyle T [CTO]" <[email-masked]>
Date: Mon, 24 Oct 2016 15:56:49 +0000

Thank you Benoit for pointing this out.  We will correct in the next update.

Lyle

-----Original Message-----
From: dmm [mailto:[email-masked]] On Behalf Of Benoit Claise
Sent: Monday, October 24, 2016 10:07 AM
To: [email-masked]; [email-masked]
Subject: [DMM] We can't extract the YANG model from draft-ietf-dmm-fpc-cpdp

Dear authors,

The YANG model in your draft doesn't follow the convention from RFC 7950, and therefore can't be extracted.
See https://tools.ietf.org/html/rfc6087 section 3.1 Also, use http://www.yangvalidator.org/ for troubleshooting.

Extracting 'ietf-ip-tunnel@   ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt',
Line 3451 - Yang module 'ietf-dmm-fpcbase' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 4057 - Yang module 'ietf-dmm-fpcagent' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 4724 - Yang module 'ietf-pmip-qos' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 5387 - Yang module 'ietf-traffic-selector-types' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 5980 - Yang module 'ietf-dmm-threegpp' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 6601 - Yang module 'ietf-dmm-fpc-pmip' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 6894 - Yang module 'ietf-dmm-fpc-policyext' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 3451 - Yang module 'ietf-dmm-fpcbase' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 4057 - Yang module 'ietf-dmm-fpcagent' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 4724 - Yang module 'ietf-pmip-qos' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 5387 - Yang module 'ietf-traffic-selector-types' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 5980 - Yang module 'ietf-dmm-threegpp' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 6601 - Yang module 'ietf-dmm-fpc-pmip' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 6894 - Yang module 'ietf-dmm-fpc-policyext' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 3451 - Yang module 'ietf-dmm-fpcbase' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 4057 - Yang module 'ietf-dmm-fpcagent' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 4724 - Yang module 'ietf-pmip-qos' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 5387 - Yang module 'ietf-traffic-selector-types' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 5980 - Yang module 'ietf-dmm-threegpp' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 6601 - Yang module 'ietf-dmm-fpc-pmip' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-ietf-dmm-fpc-cpdp-04.txt', Line 6894 - Yang module 'ietf-dmm-fpc-policyext' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-toutain-lpwan-yang-static-context-hc-00.txt', Line 636
- Yang module 'LPWA-compression' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-toutain-lpwan-yang-static-context-hc-00.txt', Line 636
- Yang module 'LPWA-compression' with no <CODE BEGINS> and not starting with 'example-'
    ERROR: 'draft-toutain-lpwan-yang-static-context-hc-00.txt', Line 636
- Yang module 'LPWA-compression' with no <CODE BEGINS> and not starting with 'example-'
2016-06-20.yang'

Regards, Benoit

_______________________________________________
dmm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dmm

________________________________

This e-mail may contain Sprint proprietary information intended for the sole use of the recipient(s). Any use by others is prohibited. If you are not the intended recipient, please contact the sender and delete all copies of the message.